Skip to main content
PATCH
/
auth
/
profile
Update user profile
curl --request PATCH \
  --url https://app.autoposting.ai/api-proxy/auth/profile \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Jane Doe",
  "avatarUrl": "https://cdn.example.com/avatar.jpg"
}
'
{
  "success": true,
  "data": {
    "id": "usr_01HXYZ",
    "email": "user@example.com",
    "name": "Jane Doe",
    "avatarUrl": "https://cdn.example.com/avatar.jpg",
    "emailVerified": true,
    "createdAt": "2024-01-01T00:00:00Z"
  }
}

Authorizations

Authorization
string
header
required

API key as Authorization: Bearer sk-social-...

Body

application/json
name
string

Display name.

Example:

"Jane Doe"

avatarUrl
string

URL to the user's avatar image.

Example:

"https://cdn.example.com/avatar.jpg"

Response

Profile updated.

success
boolean
required
Example:

true

data
object
required